'use strict';

const constants = {
	INTERRUPT_WINDOW_SECONDS : 5,
	DEFAULT_CONFIG_FILE      : "config.json",
	ENV_CONFIG_FILE_VAR      : "DATA_API_CONFIG",
	DEFAULT_LOG_LEVEL        : 3,

	API_REQUEST_AUTH_HEADER  : "x-smb-auth-token",

	PROTOCOL_VERSION              : 1000,
	PROTOCOL_COMPATIBLITY_VERSION : 1000,

	DATA_TIME_SLICE : 1000 * 60 * 60 * 24,

	NOTIFICATION_PERIOD : 1000 * 60 * 60
};

Object.freeze(constants);
module.exports = constants;