'use strict';
const CONST = require("../../constants.js");
const LOG   = require("../../core/Logger.js");

const APIRequestHandlerBase = require("../APIRequestHandlerBase.js");

class CatchAll extends APIRequestHandlerBase {
	static getRoute() {
		return "*";
	}

	async _isAuthenticated() {
		return true;
	}

	async _hasAccess() {
		return true;
	}

	async _process() {
		return this.respondNotFound("Invalid API path '" + this._path + "'");
	}

}

module.exports = CatchAll;