'use strict';

const Logger = require('./Util/Logger.js');;
const Util   = require('./Util/Util.js');

const {InvalidArgumentException} = require('./Exception/Exceptions.js');

class SmbfwObjectBase {
	constructor() {
		this.util  = Util;

		this._smbfw = null;
		var _logger   = Logger.createChannel(this.util.getClassname(this));
		_logger.bindToObject(this);
	}

	_setSmbfw(smbfw) {
		this._smbfw = smbfw;
		this._init();
	}

	_init() {
		//placeholder to make sure all descendants have _init
	}
}

module.exports = SmbfwObjectBase;