"use strict";
const BusinessLogicBase = require("../../smbfw/src/smbfw.js").BusinessLogicBase;
const SmbfwActions      = require("../../smbfw/src/smbfw.js").Actions;

class ForgottenPasswordScreenBL extends BusinessLogicBase {
	handleReset(state, dispatch, email, bagId) {
		let reset = this._smbfw.dm.createData("reset", null, email);
		reset.setResetParams(email, bagId);


		reset.save().then(token => {
			dispatch(SmbfwActions.changeScreen("login_screen"));
		}).catch(e => {
			this._error(e);
			// ModalWindowBL.errorWindow(dispatch,
			// 	'modal.error_messages.error_title',
			// 	"modal.error_messages.login_error_message")
		});
	}
}

ForgottenPasswordScreenBL.prototype.MANAGED_NAME = "ForgottenPasswordScreen_bl";

BusinessLogicBase.generateActions(ForgottenPasswordScreenBL, {
	actionReset : "handleReset"
});

module.exports = ForgottenPasswordScreenBL;
