'use strict';

const constants = {
	INTERRUPT_WINDOW_SECONDS : 5,
	DEFAULT_CONFIG_FILE      : "config.json",
	ENV_CONFIG_FILE_VAR      : "SMB_TUNNEL_CONFIG",
	DEFAULT_LOG_LEVEL        : 3,
	//Refusing all messages where sender or recipient id is longer than this
	MAX_ID_LENGTH            : 40,

	PROTOCOL_VERSION              : 1000,
	PROTOCOL_COMPATIBLITY_VERSION : 1000
};

Object.freeze(constants);
module.exports = constants;