import React from "react";
import Typography from '@material-ui/core/Typography';

export const NavLink = props => {
	return (
			<div onClick={() => props.onClick ? props.onClick() : false} className={props.selected ? "navLink selected" : "navLink"}>
				{props.text}
			</div>
	);
};

export default NavLink;